# Interface methods for submodule: OutputWindow
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: OutputWindow
class OutputWindowProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	@staticmethod
	def GetInstance():
		""""""
		...

	@staticmethod
	def SetInstance(instance) -> None:
		""""""
		...

	def DisplayText(self, arg0) -> None:
		""""""
		...

	def DisplayErrorText(self, t) -> None:
		""""""
		...

	def DisplayWarningText(self, t) -> None:
		""""""
		...

	def DisplayGenericOutputText(self, t) -> None:
		""""""
		...

	def DisplayDebugText(self, t) -> None:
		""""""
		...

	def SetPromptUser(self, _arg: bool) -> None:
		""""""
		...

	def GetPromptUser(self) -> bool:
		""""""
		...

	def PromptUserOn(self) -> None:
		""""""
		...

	def PromptUserOff(self) -> None:
		""""""
		...

